---
search:
  tags:
    - tasks
    - POST
seo:
  description: >-
    Create a task (scope tasks:write). Reference for the POST /api/v1/tasks
    endpoint in the Basenet Public API.
sidebar:
  label: Create a task (scope tasks:write)
  badge: POST
title: Create a task (scope tasks:write)
type: openapi-operation
---
Endpoint: `POST /api/v1/tasks`

Authentication: `bearerAuth` (Scoped API token (bnx\_…). Required scopes are noted per operation.)

Request body (`application/json`):
- `description` (string, required)
- `body` (string or null, optional)
- `matterId` (string, optional)
- `assigneeRelationId` (string, optional)
- `startDate` (string or string, optional)
- `dueDate` (string or string, optional)
- `escalationDate` (string, optional)
- `escalationAt` (string, optional)
- `recurrenceRule` (object, optional)
- `recurrenceRule.freq` (one of `"daily"`, `"weekly"`, `"monthly"`, required)
- `recurrenceRule.interval` (integer, required)
- `recurrenceRule.until` (string, optional)
- `recurrenceRule.count` (integer, optional)
- `taskType` (string, optional)

Responses:
- `201`: Created resource
- `400`: Invalid request
- `401`: Unauthenticated
- `403`: Forbidden (missing scope or permission)
- `429`: Rate limited

Response 201 body (`application/json`):
- `id` (string, required)
- `matterId` (string or null, required)
- `assigneeRelationId` (string or null, required)
- `taskType` (string or null, required)
- `status` (string, required)
- `description` (string, required)
- `body` (string or null, required)
- `startDate` (string or null, required)
- `dueDate` (string or null, required)
- `doneDate` (string or null, required)
- `escalationDate` (string or null, required)
- `escalationAt` (string or null, optional)
- `recurrenceRule` (object or null, required)
- `recurrenceRule.freq` (one of `"daily"`, `"weekly"`, `"monthly"`, required)
- `recurrenceRule.interval` (integer, required)
- `recurrenceRule.until` (string, optional)
- `recurrenceRule.count` (integer, optional)
- `createdAt` (string, required)
- `updatedAt` (string, required)
